Identity, people & notifications

Send Data Processing Email

Sends a data-processing-request confirmation email to the user and a copy to support@toku.com.

POSThttps://api.toku.com/platform/send-data-processing-email

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/platform/send-data-processing-email' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "role": "TOKU_ADMIN",
  "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "toUser": {
    "userID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "person": {
      "personID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "givenName": "string",
      "familyName": "string"
    },
    "loginEmail": "user@example.com",
    "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "user": {
    "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "person": {
      "givenName": "string",
      "familyName": "string"
    }
  },
  "requestType": "string",
  "orgName": "string"
}'
200 response
{
  "isSuccess": true,
  "errorMessage": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

rolestringrequired

Available options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT

roleInOrgIDstring<uuid>required
toUserobjectrequired
Show child attributes
userIDstring<uuid>required
personobjectrequired
Show child attributes
personIDstring<uuid>required
givenNamestringrequired

Allowed: at most 200 characters

familyNamestringrequired

Allowed: at most 200 characters

loginEmailstring<email>required
roleInOrgIDstring<uuid>
userobjectrequired
Show child attributes
orgIDstring<uuid>required
roleInOrgIDstring<uuid>required
personobjectrequired
Show child attributes
givenNamestringrequired

Allowed: at most 200 characters

familyNamestringrequired

Allowed: at most 200 characters

requestTypestringrequired

Allowed: 1 to 100 characters

orgNamestringrequired

Allowed: 1 to 200 characters

Response

200Successful response
isSuccessbooleanrequired
errorMessagestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits